<?php 
//Genera peticiones de amistad enrte dos usuarios
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";
$repeat = "0"; 
$exist = "-1";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $friend = mysql_escape_string($_GET["friend"]);
 $user  = mysql_escape_string($_GET["user"]);

 $resultados = array();
 
 /* Esta consulta la realizare para saber si existe el usuario al que queremos agregar */
 $resultAux = mysql_num_rows(mysql_query("SELECT * FROM usuarios WHERE nickname = '$friend'" ));
 //Si existe el usuario
 if($resultAux > 0){
    $exist = "0";
} 

 /* Esta consulta es para saber si el usuario al que vamos a agregar ya lo hemos agregado antes */
 $result = mysql_num_rows(mysql_query("SELECT * FROM friends WHERE user1 = '$user' AND user2 = '$friend'"));
//Si ya lo hemos agregado
if($result > 0){
  $repeat = "-1";
}
 //Si el usuario existe
 if($exist === "0"){
    //Si el usuario no lo tenemos agregado y no somos nosotros mismos
 	if($repeat === "0" && $user != $friend){
 	 	$sql = "INSERT INTO peticiones(user1, user2) VALUES ('$user', '$friend')";
 	  	if (!mysql_query($sql, $con)) {  
	 		die('Error: ' . mysql_error()); 
 	  	} else {    
	 		 
 		 } 
 	}
 }
 
 mysql_close($con); 
//Si el usuario existe
 if($exist === "0"){
    //Si ya lo tenemos agregado
    if($repeat === "-1"){
        $resultados["mensaje"] = "You alredy have this friend in your friend's list";
    }else{
        $resultados["mensaje"] = "Your request has been send";
    }
 }else{
    $resultados["mensaje"] = "User ".$friend." not found";
 }
 
 /*convierte los resultados a formato json*/
$resultadosJson = json_encode($resultados);
 
/*muestra el resultado en un formato que no da problemas de seguridad en browsers */
echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';

 ?>